### Function

# Gimp ModuleQueryFunc

#### Declaration

    const GimpModuleInfo*
    (* GimpModuleQueryFunc) (
      GTypeModule* module
    )

#### Description [src]

The signature of the query function a loadable GIMP module must implement. In the module, the function must be called `gimp_module_query()`.

`GimpModule` will copy the returned `GimpModuleInfo`, so the module doesn’t need to keep these values around (however in most cases the module will just return a pointer to a constant structure).

#### Parameters

`module` | `GTypeModule`
| The module responsible for this loadable module.
| The data is owned by the caller of the function.

#### Return value

Returns: | `GimpModuleInfo`
| The info struct describing the module.
| The data is owned by the called function.